Name:    nickle
Version: 2.73
Release: 1%{?dist}
Summary: A programming language-based prototyping environment

Group:   Development/Languages
License: MIT
URL:     http://nickle.org
Source0: http://nickle.org/release/nickle-%{version}.tar.gz
%if 0%{?rhel} <= 5
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%endif

BuildRequires: bison
BuildRequires: ncurses-devel
BuildRequires: readline-devel

%description
Nickle is a programming language based prototyping environment with
powerful programming and scripting capabilities. Nickle supports a
variety of datatypes, especially arbitrary precision numbers. The
programming language vaguely resembles C. Some things in C which do
not translate easily are different, some design choices have been made
differently, and a very few features are simply missing.

Nickle provides the functionality of UNIX bc, dc and expr in
much-improved form. It is also an ideal environment for prototyping
complex algorithms. Nickle's scripting capabilities make it a nice
replacement for spreadsheets in some applications, and its numeric
features nicely complement the limited numeric functionality of
text-oriented languages such as AWK and PERL.

%package devel
Summary:  Include files for Nickle
Group:    Development/Languages
Requires: %{name} = %{version}-%{release}

%description devel
Include files for Nickle, used for building external FFI (foreign
function interface) libraries (e.g. the Cairo interface for Nickle).

%prep
%setup -q


%build
%configure
make %{?_smp_flags}


%check
cd test
make check


%install
%if 0%{?rhel} <= 5
rm -rf $RPM_BUILD_ROOT
%endif
make install DESTDIR=$RPM_BUILD_ROOT
rm `find examples -name 'Makefile*'`
rm examples/COPYING

# Fix permissions on example files
chmod a-x examples/menace2.5c
chmod a-x examples/turtle/snowflake.5c


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.name COPYING AUTHORS NEWS TODO examples
%{_bindir}/nickle
%{_datadir}/nickle/
%exclude %{_datadir}/nickle/COPYING
%exclude %{_datadir}/nickle/examples
%{_mandir}/man1/nickle.1*

%files devel
%defattr(-, root, root,-)
%{_includedir}/nickle

%changelog
* Sat Mar  3 2012 Michel Salim <salimma@fedoraproject.org> - 2.73-1
- Update to 2.73

* Sat Feb  4 2012 Michel Salim <salimma@fedoraproject.org> - 2.72-1
- Update to 2.72

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.70-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Mar 12 2011 Michel Salim <salimma@fedoraproject.org> - 2.70-1
- Update to 2.70

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.69-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 23 2009 Michel Salim <salimma@fedoraproject.org> - 2.69-2
- Lower FORTIFY setting; level 2 does not work with gcc 4.4.2

* Fri Sep 18 2009 Michel Salim <salimma@fedoraproject.org> - 2.69-1
- Update to 2.69

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.68-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 11 2009 Michel Salim <salimma@fedoraproject.org> - 2.68-1
- Update to 2.68
- Enable checks

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.67-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jun  6 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 2.67-1
- Update to 2.67

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.62-2
- Autorebuild for GCC 4.3

* Fri Jan 18 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 2.62-1
- Update to 2.62

* Sun Sep 23 2007 Michel Alexandre Salim <salimma@fedoraproject.org> - 2.58-1
- Update to 2.58

* Sat Nov  4 2006 Michel Alexandre Salim <salimma@fedoraproject.org> - 2.54-2
- Only package example files once, remove leftover Makefiles

* Thu Nov  2 2006 Michel Alexandre Salim <salimma@fedoraproject.org> - 2.54-1
- Update to 2.54
- Use exclude macro instead of ghost

* Sun Mar 19 2006 Michel Alexandre Salim <salimma@fedoraproject.org> - 2.53-3
- Moved examples to doc
- Removed redundant COPYING files from examples

* Sun Mar  5 2006 Michel Alexandre Salim <salimma@fedoraproject.org> - 2.53-2
- Removed INSTALL from installed documentation
- Added description for devel package

* Sat Feb 18 2006 Michel Alexandre Salim <salimma@fedoraproject.org> - 2.53-1
- Initial Fedora package

* Thu Mar  1 2004 Mike A. Harris <mharris@www.linux.org.uk> - 2.29-2
- Initial rpm spec file

